conflicts between attempted installs of deleted file

General support questions
Poul
Posts: 5
Joined: 2018/03/03 18:26:27

conflicts between attempted installs of deleted file

Postby Poul » 2018/03/03 18:38:29

Hello,
I am running CentOS 6.9 and try to upgrade php to 7.0 (default/single version) by Remi configuration wizard


yum install https://dl.fedoraproject.org/pub/epel/e ... noarch.rpm
yum install http://rpms.remirepo.net/enterprise/remi-release-6.rpm
yum install yum-utils
yum-config-manager --enable remi-php70
yum update

On step "yum update" getting following error:

Transaction Check Error:
file /usr/lib64/php-zts/modules/shmop.so conflicts between attempted installs of php56-common-5.6.12-1.el6.x86_64 and php-process-7.0.28-1.el6.remi.x86_64
file /usr/lib64/php-zts/modules/simplexml.so conflicts between attempted installs of php56-common-5.6.12-1.el6.x86_64 and php-xml-7.0.28-1.el6.remi.x86_64
file /usr/lib64/php-zts/modules/xml.so conflicts between attempted installs of php56-common-5.6.12-1.el6.x86_64 and php-xml-7.0.28-1.el6.remi.x86_64
file /usr/lib64/php/modules/shmop.so conflicts between attempted installs of php56-common-5.6.12-1.el6.x86_64 and php-process-7.0.28-1.el6.remi.x86_64
file /usr/lib64/php/modules/simplexml.so conflicts between attempted installs of php56-common-5.6.12-1.el6.x86_64 and php-xml-7.0.28-1.el6.remi.x86_64
file /usr/lib64/php/modules/xml.so conflicts between attempted installs of php56-common-5.6.12-1.el6.x86_64 and php-xml-7.0.28-1.el6.remi.x86_64
file /etc/php.ini conflicts between attempted installs of php-common-7.0.28-1.el6.remi.x86_64 and php56-common-5.6.12-1.el6.x86_64
file /usr/lib64/php-zts/modules/bz2.so conflicts between attempted installs of php-common-7.0.28-1.el6.remi.x86_64 and php56-common-5.6.12-1.el6.x86_64
file /usr/lib64/php-zts/modules/calendar.so conflicts between attempted installs of php-common-7.0.28-1.el6.remi.x86_64 and php56-common-5.6.12-1.el6.x86_64
file /usr/lib64/php-zts/modules/ctype.so conflicts between attempted installs of php-common-7.0.28-1.el6.remi.x86_64 and php56-common-5.6.12-1.el6.x86_64
file /usr/lib64/php-zts/modules/curl.so conflicts between attempted installs of php-common-7.0.28-1.el6.remi.x86_64 and php56-common-5.6.12-1.el6.x86_64
file /usr/lib64/php-zts/modules/exif.so conflicts between attempted installs of php-common-7.0.28-1.el6.remi.x86_64 and php56-common-5.6.12-1.el6.x86_64
file /usr/lib64/php-zts/modules/fileinfo.so conflicts between attempted installs of php-common-7.0.28-1.el6.remi.x86_64 and php56-common-5.6.12-1.el6.x86_64
file /usr/lib64/php-zts/modules/ftp.so conflicts between attempted installs of php-common-7.0.28-1.el6.remi.x86_64 and php56-common-5.6.12-1.el6.x86_64
file /usr/lib64/php-zts/modules/gettext.so conflicts between attempted installs of php-common-7.0.28-1.el6.remi.x86_64 and php56-common-5.6.12-1.el6.x86_64
file /usr/lib64/php-zts/modules/iconv.so conflicts between attempted installs of php-common-7.0.28-1.el6.remi.x86_64 and php56-common-5.6.12-1.el6.x86_64
file /usr/lib64/php-zts/modules/phar.so conflicts between attempted installs of php-common-7.0.28-1.el6.remi.x86_64 and php56-common-5.6.12-1.el6.x86_64
file /usr/lib64/php-zts/modules/sockets.so conflicts between attempted installs of php-common-7.0.28-1.el6.remi.x86_64 and php56-common-5.6.12-1.el6.x86_64
file /usr/lib64/php-zts/modules/tokenizer.so conflicts between attempted installs of php-common-7.0.28-1.el6.remi.x86_64 and php56-common-5.6.12-1.el6.x86_64
file /usr/lib64/php/modules/bz2.so conflicts between attempted installs of php-common-7.0.28-1.el6.remi.x86_64 and php56-common-5.6.12-1.el6.x86_64
file /usr/lib64/php/modules/calendar.so conflicts between attempted installs of php-common-7.0.28-1.el6.remi.x86_64 and php56-common-5.6.12-1.el6.x86_64
file /usr/lib64/php/modules/ctype.so conflicts between attempted installs of php-common-7.0.28-1.el6.remi.x86_64 and php56-common-5.6.12-1.el6.x86_64
file /usr/lib64/php/modules/curl.so conflicts between attempted installs of php-common-7.0.28-1.el6.remi.x86_64 and php56-common-5.6.12-1.el6.x86_64
file /usr/lib64/php/modules/exif.so conflicts between attempted installs of php-common-7.0.28-1.el6.remi.x86_64 and php56-common-5.6.12-1.el6.x86_64
file /usr/lib64/php/modules/fileinfo.so conflicts between attempted installs of php-common-7.0.28-1.el6.remi.x86_64 and php56-common-5.6.12-1.el6.x86_64
file /usr/lib64/php/modules/ftp.so conflicts between attempted installs of php-common-7.0.28-1.el6.remi.x86_64 and php56-common-5.6.12-1.el6.x86_64
file /usr/lib64/php/modules/gettext.so conflicts between attempted installs of php-common-7.0.28-1.el6.remi.x86_64 and php56-common-5.6.12-1.el6.x86_64
file /usr/lib64/php/modules/iconv.so conflicts between attempted installs of php-common-7.0.28-1.el6.remi.x86_64 and php56-common-5.6.12-1.el6.x86_64
file /usr/lib64/php/modules/phar.so conflicts between attempted installs of php-common-7.0.28-1.el6.remi.x86_64 and php56-common-5.6.12-1.el6.x86_64
file /usr/lib64/php/modules/sockets.so conflicts between attempted installs of php-common-7.0.28-1.el6.remi.x86_64 and php56-common-5.6.12-1.el6.x86_64
file /usr/lib64/php/modules/tokenizer.so conflicts between attempted installs of php-common-7.0.28-1.el6.remi.x86_64 and php56-common-5.6.12-1.el6.x86_64

Error Summary
-------------

The conflicted file (php56-common-5.6.12-1.el6.x86_64) already deleted, but still cause this errors.

Could you please guide me where it listed in system?

User avatar
TrevorH
Forum Moderator
Posts: 22313
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: conflicts between attempted installs of deleted file

Postby TrevorH » 2018/03/03 18:44:49

You can't install both php 7.0 and php 5.6 at the same time in that way. Use yum remove php56\* to remove all those php56 packages first - make sure you do not use yum -y and that you stop when it presents the list of packages to be removed and a) check that it's not taking out things you don't want it to and b) make a note of what php56* packages it does remove as you will want to install all the same php 7 packages afterwards. Only reply Y when you are sure it is safe to proceed. Once they are gone, yum install the other php version packages to match the php56 ones you just removed.
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke

Poul
Posts: 5
Joined: 2018/03/03 18:26:27

Re: conflicts between attempted installs of deleted file

Postby Poul » 2018/03/03 19:26:45

Thank you for the fast reply.
This file already deleted and all php56 packages.

# yum remove php56\*
returns
Loaded plugins: fastestmirror, replace
Setting up Remove Process
No Match for argument: php56*
Loading mirror speeds from cached hostfile
* base: mirror.reconn.ru
* extras: mirror.reconn.ru
* remi-php70: mirror.reconn.ru
* remi-safe: mirror.reconn.ru
* updates: mirror.reconn.ru
Package(s) php56* available, but not installed.
No Packages marked for removal


never the less the output of command
# rpm -qa | grep php56
isp-php56-fpm-5.6.33-252.el6.x86_64
isp-php56-5.6.33-252.el6.x86_64

here some info

# rpm -qa php\*
php-cli-5.3.29-2.el6.x86_64
php-fedora-autoloader-1.0.0-1.el6.noarch
php-mysql-5.3.29-2.el6.x86_64
php-process-5.3.29-2.el6.x86_64
phpMyAdmin-4.0.10.20-1.el6.noarch
php-common-5.3.29-2.el6.x86_64
php-pdo-5.3.29-2.el6.x86_64
php-bcmath-5.3.29-2.el6.x86_64
php-tcpdf-dejavu-sans-fonts-6.2.13-1.el6.noarch
php-mbstring-5.3.29-2.el6.x86_64
php-gd-5.3.29-2.el6.x86_64
php-php-gettext-1.0.12-1.el6.noarch
php-tcpdf-6.2.13-1.el6.noarch
php-5.3.29-2.el6.x86_64
php-xml-5.3.29-2.el6.x86_64
php-mcrypt-5.3.29-2.el6.x86_64
php-tidy-5.3.29-2.el6.x86_64

# rpm -Va php\*
S.5....T. c /etc/phpMyAdmin/config.inc.php

# which php
/usr/bin/php

# php -v
PHP 5.3.29 (cli) (built: Oct 27 2014 09:29:20)
Copyright (c) 1997-2014 The PHP Group
Zend Engine v2.3.0, Copyright (c) 1998-2014 Zend Technologies

Poul
Posts: 5
Joined: 2018/03/03 18:26:27

Re: conflicts between attempted installs of deleted file

Postby Poul » 2018/03/03 19:47:11

The php56 was previous main version and was deleted for install php70

Actually i played fool: founding the funny post about delete all php and install again - just push the button
Output was

Removing:
php-fedora-autoloader noarch 1.0.0-1.el6 @epel 15 k
php-pear noarch 1:1.10.5-6.el6.remi @remi-php70 2.1 M
php-pear-Auth-SASL noarch 1.0.6-1.el6 @epel 51 k
php-pear-Mail-Mime noarch 1.8.4-1.el6 @epel 157 k
php-pear-Mail-mimeDecode noarch 1.5.5-1.el6 @epel 48 k
php-pear-Net-IDNA2 noarch 0.1.1-3.el6 @epel 112 k
php-pear-Net-SMTP noarch 1.6.1-1.el6 @epel 58 k
php-pear-Net-Sieve noarch 1.3.4-1.el6 @epel 265 k
php-pear-Net-Socket noarch 1.0.10-1.el6 @epel 21 k
php-php-gettext noarch 1.0.12-1.el6 @epel 57 k
php-tcpdf noarch 6.2.13-1.el6 @epel 11 M
php-tcpdf-dejavu-sans-fonts noarch 6.2.13-1.el6 @epel 1.5 M
php56 x86_64 5.6.12-1.el6 @centosup 10 M
php56-bcmath x86_64 5.6.12-1.el6 @centosup 84 k
php56-cli x86_64 5.6.12-1.el6 @centosup 9.0 M
php56-common x86_64 5.6.12-1.el6 @centosup 8.4 M
php56-gd x86_64 5.6.12-1.el6 @centosup 775 k
php56-intl x86_64 5.6.12-1.el6 @centosup 740 k
php56-ldap x86_64 5.6.12-1.el6 @centosup 123 k
php56-mbstring x86_64 5.6.12-1.el6 @centosup 2.7 M
php56-mcrypt x86_64 5.6.12-1.el6 @centosup 89 k
php56-mysql x86_64 5.6.12-1.el6 @centosup 453 k
php56-pdo x86_64 5.6.12-1.el6 @centosup 351 k
php56-process x86_64 5.6.12-1.el6 @centosup 128 k
php56-pspell x86_64 5.6.12-1.el6 @centosup 43 k
php56-tidy x86_64 5.6.12-1.el6 @centosup 99 k
php56-xml x86_64 5.6.12-1.el6 @centosup 630 k
php70 x86_64 1.0-5.el6.remi @remi-safe 0.0
php70-php-cli x86_64 7.0.28-1.el6.remi @remi-safe 7.5 M
php70-php-common x86_64 7.0.28-1.el6.remi @remi-safe 4.1 M
php70-php-json x86_64 7.0.28-1.el6.remi @remi-safe 36 k
php70-runtime x86_64 1.0-5.el6.remi @remi-safe 21 k
phpMyAdmin noarch 4.0.10.20-1.el6 @epel 19 M
Removing for dependencies:
coremanager-pkg-php x86_64 5.142.0-1.el6 @ispsystem-5.142 142
ispmanager-lite x86_64 5.142.1-1.el6 @ispsystem-5.142 0.0
ispmanager-pkg-myadmin x86_64 5.142.1-1.el6 @ispsystem-5.142 2.8 k
ispmanager-pkg-php x86_64 5.142.1-1.el6 @ispsystem-5.142 3.6 k
ispmanager-pkg-roundcube x86_64 5.142.1-1.el6 @ispsystem-5.142 12 k
roundcubemail noarch 1.0.12-1.el6 @epel 14 M


Could you please clarify, where can be listed php-common file? Any idea suggestion greatly appreciated.

User avatar
TrevorH
Forum Moderator
Posts: 22313
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: conflicts between attempted installs of deleted file

Postby TrevorH » 2018/03/03 20:02:48

You need to address the questions to whoever supplies the control panel 'ispmanager' as they are the suppliers of your current php56 packages and their panel may depend on that exact php version. We do not support any systems with control panels installed as they generally replace so much of CentOS with bits of their own making that any advice we might give you might end up making any problems worse.
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke

Poul
Posts: 5
Joined: 2018/03/03 18:26:27

Re: conflicts between attempted installs of deleted file

Postby Poul » 2018/03/03 22:37:15

i deleted files showed by # rpm -qa | grep php56

But still can't find the file php56-common-5.6.12-1.el6.x86_64 and getting the same error on yum update

It seems that ISP feel great with any php version.
On this server it working well now and shows the version PHP 5.3.29 (native) and don't even show the php 5.6.12 among available versions.
On another server with same OS and everything, it working great on Remi PHP 7.0 (updated this way).

User avatar
TrevorH
Forum Moderator
Posts: 22313
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: conflicts between attempted installs of deleted file

Postby TrevorH » 2018/03/03 23:09:31

i deleted files showed by # rpm -qa | grep php56


Please stop before you do damage that cannot be repaired. Do not just delete files from your system without knowing exactly what they are and why you might want to do that and what effects doing so will have. This time you are lucky because it's just php.

The errors you are seeing are from the package managers, yum and rpm, and those are designed to keep track of everything that is installed on your system. They keep track of which packages are installed, what versions, what files are owned by that package, what the permissions and ownership of those files should be and what the checksums of those files are so that it knows if they are corrupted. If you attempt to install a package that supplies files that are already present on the system and owned by a differently named package, then it will tell you that it cannot do that. The correct solution to the problem is to remove the packages that supply the currently installed files, not to delete the files themselves. Deleting the files without removing the packages leaves the entries in rpm's database so it still complains about the same problem - because it still exists.

So, to do what you want to do you need to uninstall php56 first. You cannot install the new version until you've done that because rpm's database says those files still exist. You also have this ispmanager installed and I do not know what that is (nor do I want to particularly). That sounds like a control panel like cpanel/ispconfig/directadmin/kloxo and we cannot support systems with a panel installed. They replace great chunks of CentOS with things of their own and change the way in which the system should be administered. You need to ask them for support to find out the correct way to do what you want to do.
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke

Poul
Posts: 5
Joined: 2018/03/03 18:26:27

Re: conflicts between attempted installs of deleted file

Postby Poul » 2018/03/04 12:51:12

Thank you, TrevorH, for your help.
If anyone will have the same problem, solved by:

# repoquery -i problemFileName
find the name of repository
# cd /etc/yum.repos.d/
# vi repositoryName
change to enabled 0

Have a good day)